(function($) {
CKEDITOR.plugins.add( 'ocio_ckeditor_media', {
  init: function( editor ) {
    editor.on( 'doubleclick', function( evt ) {
      if (evt.data.element.hasClass('media-element')) {
        var data = {
          format: 'html',
          node: null,
          content: ''
        };
        var selection = editor.getSelection();
        if (selection) {
          data.node = selection.getSelectedElement();
          if (data.node) {
            data.node = data.node.$;
          }
          if (selection.getType() == CKEDITOR.SELECTION_TEXT) {
            if (CKEDITOR.env.ie && CKEDITOR.env.version < 10) {
              data.content = selection.getNative().createRange().text;
            }
            else {
              data.content = selection.getNative().toString();
            }
          }
          else if (data.node) {
            // content is supposed to contain the "outerHTML".
            data.content = data.node.parentNode.innerHTML;
          }
        }
        Drupal.wysiwyg.plugins.media.invoke(data, Drupal.wysiwyg.plugins.media, editor.name);
      }
    });
  }
});
})(jQuery);

