<?php
/**
 * @file
 * wcm_user_config.features.features_overrides.inc
 */

/**
 * Implements hook_features_override_default_overrides().
 */
function wcm_user_config_features_override_default_overrides() {
  // This code is only used for UI in features. Exported alters hooks do the magic.
  $overrides = array();

  // Exported overrides for: views_view
  $overrides["views_view.admin_views_user.display|default|display_options|fields|cancel_node"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|table"] = 'views_entity_user';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::role_delegation_delegate_roles_action"] = array(
    'selected' => 1,
    'postpone_processing' => 0,
    'skip_confirmation' => 0,
    'override_label' => 0,
    'label' => '',
  );
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::system_block_ip_action"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::system_goto_action"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::system_message_action"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::user_block_user_action|selected"] = 1;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::user_block_user_action|skip_confirmation"] = 0;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_argument_selector_action"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_delete_item"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|_all_"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|status"] = 'status';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_contact_group"] = 'user::field_contact_group';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_display_in_leadership_list"] = 'user::field_display_in_leadership_list';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_display_on_contact_page"] = 'user::field_display_on_contact_page';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_job_title"] = 'user::field_job_title';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_leadership_group"] = 'user::field_leadership_group';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_phone"] = 'user::field_phone';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_room_and_building"] = 'user::field_room_and_building';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_modify_action|settings|display_values|user::field_street_address"] = 'user::field_street_address';
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_script_action"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_user_cancel_action"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_operations|action::views_bulk_operations_user_roles_action"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|fields|views_bulk_operations|vbo_settings|row_clickable"] = 1;
  $overrides["views_view.admin_views_user.display|default|display_options|filters|name"]["DELETED"] = TRUE;
  $overrides["views_view.admin_views_user.display|default|display_options|filters|realname"] = array(
    'id' => 'realname',
    'table' => 'realname',
    'field' => 'realname',
    'operator' => 'contains',
    'group' => 1,
    'exposed' => TRUE,
    'expose' => array(
      'operator_id' => 'realname_op',
      'label' => 'Name',
      'operator' => 'realname_op',
      'identifier' => 'realname',
      'remember' => TRUE,
      'remember_roles' => array(
        2 => 2,
        1 => 0,
        6 => 0,
        5 => 0,
        4 => 0,
        8 => 0,
        7 => 0,
        3 => 0,
      ),
      'autocomplete_raw_suggestion' => 1,
      'autocomplete_raw_dropdown' => 1,
      'autocomplete_dependent' => 0,
    ),
  );
  $overrides["views_view.admin_views_user.display|default|display_options|query|options|query_tags"] = array(
    0 => 'administerusersbyrole_edit_access',
  );

 return $overrides;
}
