<?php
// Plugin definition
$plugin = array(
  'title' => t('Layout 8c'),
  'icon' => 'wcm-omega-8c.png',
  'category' => t('WCM Omega Layouts'),
  'theme' => 'wcm_omega_8c',
  'css' => '../wcm-omega-layouts.css',
  'regions' => array(
    'tile0' => t('Tile 0'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tiles_header_1' => t('Tiles Header'),
    'tile4' => t('Tile 4'),
    'tile5' => t('Tile 5'),
    'tile6' => t('Tile 6'),
    'tile7' => t('Tile 7'),
    'tile8' => t('Tile 8'),
    'tile9' => t('Tile 9'),
    'row_1_col_1' =>t('Row 1, Column 1'),
    'tile10' => t('Tile 10'),
    'tile11' => t('Tile 11'),
    'tile12' => t('Tile 12'),
    'footer' => t('Footer'),
  ),
);

/**
 * Implements hook_preprocess_wcm_omega_8c().
 */
function template_preprocess_wcm_omega_8c(&$vars) {
  $rows = array(
    'tiles_group_1' =>array('tile0','tile1', 'tile2', 'tile3', 'tiles_header_1','tile4', 'tile5', 'tile6', 'tile7', 'tile8','tile9'),
    'columns_group' => array('row_1_col_1'),
    'tiles_group_2' =>array('tile10', 'tile11', 'tile12'),
    'footer' => array('footer'),
  );

  $vars['panels_row'] = ocio_omega_settings_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_settings_panel_row_classes();
}
