<?php
/**
 * @file
 * wcm_news_client_display.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function wcm_news_client_display_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'news-client-view-page';
  $context->description = '';
  $context->tag = 'WCM News Client';
  $context->conditions = array(
    'path' => array(
      'values' => array(
        'news' => 'news',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-e990d55b8c1d123b6ac6c749b2029e6b' => array(
          'module' => 'views',
          'delta' => 'e990d55b8c1d123b6ac6c749b2029e6b',
          'region' => 'sidebar_2',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('WCM News Client');
  $export['news-client-view-page'] = $context;

  return $export;
}
